SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros
MTUSize.h File Reference

[Internal] Defines the default maximum transfer unit. More...

Go to the source code of this file.

## Macros

#define | MAXIMUM_MTU_SIZE 1492
#define | MINIMUM_MTU_SIZE 400

## Detailed Description

[Internal] Defines the default maximum transfer unit.

Definition in file MTUSize.h.

## Macro Definition Documentation

#define MAXIMUM_MTU_SIZE 1492

- 17914 16 Mbit/Sec Token Ring
- 4464 4 Mbits/Sec Token Ring
- 4352 FDDI
- 1500. The largest Ethernet packet size recommended. This is the typical setting for non-PPPoE, non-VPN connections. The default value for NETGEAR routers, adapters and switches.
- 1492. The size PPPoE prefers.
- 1472. Maximum size to use for pinging. (Bigger packets are fragmented.)
- 1468. The size DHCP prefers.
- 1460. Usable by AOL if you don't have large email attachments, etc.
- 1430. The size VPN and PPTP prefer.
- 1400. Maximum size for AOL DSL.
- 576. Typical value to connect to dial-up ISPs. The largest value for an UDP datagram

Definition at line 33 of file MTUSize.h.

Referenced by SLNet::RakPeer::AssignSystemAddressToRemoteSystemList(), SLNet::RakPeer::CloseConnectionInternal(), SLNet::ProcessOfflineNetworkPacket(), RAK_THREAD_DECLARATION(), SLNet::RakPeer::RunUpdateCycle(), SLNet::ReliabilityLayer::Send(), SLNet::RakPeer::Shutdown(), and SLNet::ReliabilityLayer::Update().

#define MINIMUM_MTU_SIZE 400

Definition at line 36 of file MTUSize.h.